Items
Find by ids from temporal
Finds a list items from a temporal index in a single operation by a list of ids.
POST
Find by ids from temporal
Authorizations
Doofinder API key. Pass it as: Authorization: Token <api_key>
Path Parameters
Unique id of a search engine.
Pattern:
^[a-f0-9]{32}$Name of an index.
Pattern:
^[a-z][a-z0-9_]*$Body
application/json
Required array length:
1 - 100 elementsUnique identifier of the item.
Example:
[{ "id": "1234" }]Response
Mget succeed.
Item id
Indicates if the item was found or not.
A "searchable" element. Items are the objects that form the search results.
Example:
{
"title": "Adidas Originals Trefoil Hoodie",
"link": "https://woocommerce.doofinder.com/product/adidas-originals-trefoil-hoodie/",
"image_link": "https://woocommerce.doofinder.com/wp-content/uploads/2024/02/suda-6-scaled.jpg",
"id": "1234",
"color": "blue",
"price": 15.99,
"sale_price": 11.99,
"categories": ["Clothes > Hoodie", "Men > Hoodie"]
}Find by ids from temporal